curl --request POST \
--url https://api.unibee.dev/merchant/metric/plan/limit/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metricLimit": 123,
"metricPlanLimitId": 123
}
'{
"code": 123,
"data": {
"merchantMetricPlanLimit": {
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"metricId": 123,
"metricLimit": 123,
"planId": 123,
"quantity": 123
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request POST \
--url https://api.unibee.dev/merchant/metric/plan/limit/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metricLimit": 123,
"metricPlanLimitId": 123
}
'{
"code": 123,
"data": {
"merchantMetricPlanLimit": {
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"metricId": 123,
"metricLimit": 123,
"planId": 123,
"quantity": 123
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/metric/plan/limit/edit
Edit Merchant Metric Plan TotalLimit
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
metricLimit | integer | Yes | MetricLimit |
metricPlanLimitId | integer | Yes | MetricPlanLimitId |
curl -X POST "https://api.unibee.dev/merchant/metric/plan/limit/edit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"metricLimit": 0,
"metricPlanLimitId": 0
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/metric/plan/limit/edit" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"metricLimit": 0,
"metricPlanLimitId": 0
}'
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.merchantMetricPlanLimit | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.